From 36946a5142c40b733d25ea5ca469f7949ee03439 Mon Sep 17 00:00:00 2001
From: Quentin Carbonneaux
Date: Fri, 18 Aug 2023 15:12:56 +0200
Subject: file,loc become dbgfile,dbgloc

---
 amd64/emit.c |  2 +-
 amd64/isel.c |  2 +-
 arm64/emit.c |  2 +-
 ops.h        |  2 +-
 parse.c      | 12 ++++++------
 rv64/emit.c  |  2 +-
 tools/lexh.c |  4 ++--
 7 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/amd64/emit.c b/amd64/emit.c
index 2290d2d..297cc76 100644
--- a/amd64/emit.c
+++ b/amd64/emit.c
@@ -547,7 +547,7 @@ emitins(Ins i, Fn *fn, FILE *f)
 		emitcopy(i.arg[0], i.arg[1], i.cls, fn, f);
 		emitcopy(i.arg[1], TMP(XMM0+15), i.cls, fn, f);
 		break;
-	case Oloc:
+	case Odbgloc:
 		emitdbgloc(i.arg[0].val, f);
 		break;
 	}
diff --git a/amd64/isel.c b/amd64/isel.c
index 277063f..0d2affc 100644
--- a/amd64/isel.c
+++ b/amd64/isel.c
@@ -392,7 +392,7 @@ sel(Ins i, ANum *an, Fn *fn)
 	case_Oload:
 		seladdr(&i.arg[0], an, fn);
 		goto Emit;
-	case Oloc:
+	case Odbgloc:
 	case Ocall:
 	case Osalloc:
 	case Ocopy:
diff --git a/arm64/emit.c b/arm64/emit.c
index 5ca6e79..78a0358 100644
--- a/arm64/emit.c
+++ b/arm64/emit.c
@@ -446,7 +446,7 @@ emitins(Ins *i, E *e)
 		if (!req(i->to, R))
 			emitf("mov %=, sp", i, e);
 		break;
-	case Oloc:
+	case Odbgloc:
 		emitdbgloc(i->arg[0].val, e->f);
 		break;
 	}
diff --git a/ops.h b/ops.h
index e0be8d0..b6b148a 100644
--- a/ops.h
+++ b/ops.h
@@ -122,7 +122,7 @@ O(vastart, T(m,e,e,e, x,e,e,e), 0) X(0, 0, 0) V(0)
 O(copy,    T(w,l,s,d, x,x,x,x), 0) X(0, 0, 1) V(0)
 
 /* Debug */
-O(loc,     T(w,l,s,d, x,x,x,x), 0) X(0, 0, 1) V(0)
+O(dbgloc,  T(w,l,s,d, x,x,x,x), 0) X(0, 0, 1) V(0)
 
 /****************************************/
 /* INTERNAL OPERATIONS (keep nop first) */
diff --git a/parse.c b/parse.c
index 44c9e19..33ed6ec 100644
--- a/parse.c
+++ b/parse.c
@@ -53,7 +53,7 @@ enum Token {
 	Tdata,
 	Tsection,
 	Talign,
-	Tfile,
+	Tdbgfile,
 	Tl,
 	Tw,
 	Tsh,
@@ -111,7 +111,7 @@ static char *kwmap[Ntok] = {
 	[Tdata] = "data",
 	[Tsection] = "section",
 	[Talign] = "align",
-	[Tfile] = "file",
+	[Tdbgfile] = "dbgfile",
 	[Tsb] = "sb",
 	[Tub] = "ub",
 	[Tsh] = "sh",
@@ -132,7 +132,7 @@ enum {
 	TMask = 16383, /* for temps hash */
 	BMask = 8191, /* for blocks hash */
 
-	K = 10525445, /* found using tools/lexh.c */
+	K = 9583425, /* found using tools/lexh.c */
 	M = 23,
 };
 
@@ -661,8 +661,8 @@ parseline(PState ps)
 		expect(Tnl);
 		closeblk();
 		return PLbl;
-	case Oloc:
-		op = Oloc;
+	case Odbgloc:
+		op = t;
 		k = Kw;
 		r = R;
 		expect(Tint);
@@ -1186,7 +1186,7 @@ parse(FILE *f, char *path, void dbgfile(char *), void data(Dat *), void func(Fn
 		switch (parselnk(&lnk)) {
 		default:
 			err("top-level definition expected");
-		case Tfile:
+		case Tdbgfile:
 			expect(Tstr);
 			dbgfile(tokval.str);
 			break;
diff --git a/rv64/emit.c b/rv64/emit.c
index 6044dee..23a8be8 100644
--- a/rv64/emit.c
+++ b/rv64/emit.c
@@ -405,7 +405,7 @@ emitins(Ins *i, Fn *fn, FILE *f)
 		if (!req(i->to, R))
 			emitf("mv %=, sp", i, fn, f);
 		break;
-	case Oloc:
+	case Odbgloc:
 		emitdbgloc(i->arg[0].val, f);
 		break;
 	}
diff --git a/tools/lexh.c b/tools/lexh.c
index 8883976..1b4a7fb 100644
--- a/tools/lexh.c
+++ b/tools/lexh.c
@@ -23,10 +23,10 @@ char *tok[] = {
 	"ceql", "cnel", "cles", "clts", "cgts", "cges",
 	"cnes", "ceqs", "cos", "cuos", "cled", "cltd",
 	"cgtd", "cged", "cned", "ceqd", "cod", "cuod",
-	"vaarg", "vastart", "...", "env", "loc",
+	"vaarg", "vastart", "...", "env", "dbgloc",
 
 	"call", "phi", "jmp", "jnz", "ret", "hlt", "export",
-	"function", "type", "data", "section", "align", "file",
+	"function", "type", "data", "section", "align", "dbgfile",
 	"blit", "l", "w", "sh", "uh", "h", "sb", "ub", "b",
 	"d", "s", "z", "loadw", "loadl", "loads", "loadd",
 	"alloc1", "alloc2",
-- 
cgit v1.2.3

